﻿#pragma strict

var topDown:Camera;
var moonFace:Camera;
var currentCamera:Camera;
var selectedTopDown:boolean;
var selectedPlay:boolean;
var viewToggle:GameObject;
var speedToggle:GameObject;
 
function Start () {
	topDown = GameObject.FindWithTag("topDown").camera;
	moonFace = GameObject.FindWithTag("moonFace").camera;
	viewToggle = GameObject.FindWithTag("viewToggle");
	speedToggle = GameObject.FindWithTag("speedToggle");
	selectedTopDown = true;
	selectedPlay = true;
	currentCamera = moonFace;
}
 
function toggleView() {
	//switch to top down button.
	if (selectedTopDown == false) {
		SelectCamera(topDown);
		selectedTopDown = true;
		GameObject.FindWithTag("viewToggle").GetComponent(Text).text = "top view";
	} else {
		SelectCamera(moonFace);
		selectedTopDown = false;
		GameObject.FindWithTag("viewToggle").GetComponent(Text).text = "face view";
	}
}

function toggleSpeed() {
	if(selectedPlay == true) {
		moonFace.GetComponent(orbitScript).changeSpeed(0);
		GameObject.FindWithTag("moon").GetComponent(orbitScript).changeSpeed(0);
		GameObject.FindWithTag("earth").GetComponent(spinEarth).changeSpeed(0);	
		GameObject.FindWithTag("speedToggle").GetComponent(Text).text = ">";
		selectedPlay = false;
	} else {
		moonFace.GetComponent(orbitScript).changeSpeed(-24);
		GameObject.FindWithTag("moon").GetComponent(orbitScript).changeSpeed(-24);
		GameObject.FindWithTag("earth").GetComponent(spinEarth).changeSpeed(720);
		GameObject.FindWithTag("speedToggle").GetComponent(Text).text = "||";
		selectedPlay = true;
	}
}
  
function SelectCamera (myCamera:Camera) {		
	currentCamera.enabled = false;
	myCamera.enabled = true;
	currentCamera = myCamera;
}